diff --git a/site-updater.sh b/site-updater.sh
new file mode 100755
index 0000000000000000000000000000000000000000..85ae10676c34f426066ad219860b6b76328d67fe
--- /dev/null
+++ b/site-updater.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+TMP=tmp
+
+mtn update 2>&1 | tee $TMP
+
+cat $TMP | grep "^mtn: updating 'i2p2www/translations/" >/dev/null
+if [ $? -eq 0 ]; then
+  echo "Translations updated, compiling messages"
+  ./compile-messages.sh
+fi
+
+cat $TMP | grep "^mtn: updating 'i2p2www/.*/.*\.py" >/dev/null
+if [ $? -eq 0 ]; then
+  echo "Python files changed, restarting server"
+  supervisorctl restart mainsite
+fi
+
+rm $TMP